% Row standardize the adjacency matrix W such that each row sums up to one
function W = stdzW(W)

if size(W,1)~=size(W,2)
    error('W should be a square matrix!');
end
if min(min(W))<0
    error('W should contain all nonnegative elements!');
end

rsum = sum(W,2);
rsum = rsum + (rsum==0);  % protect against zero denominator
W = bsxfun(@rdivide, W, rsum);

end

